package com.primeton.esb.interceptor.test;

import com.primeton.esb.model.IInterceptor4Service;
import com.primeton.esb.soap.inbound.model.IWebServiceInbound;
import org.springframework.messaging.Message;

public class SoapInboundRequest implements
		IInterceptor4Service<Message<?>, IWebServiceInbound> {
	public int afterHandle(Message<?> arg0, IWebServiceInbound arg1) {
		System.out.println("inbound request afterHandle");
		return 0;
	}

	public int beforeHandle(Message<?> arg0, IWebServiceInbound arg1) {
		System.out.println("inbound request beforeHandle");
		return 0;
	}

	public int call(Message<?> arg0, IWebServiceInbound arg1) throws Exception {
		return 0;
	}

	public void close() {
	}

	public boolean isOpen() {
		return false;
	}

	public void open() {
	}
}

